#!/usr/bin/env python
# -*- coding: utf-8 -*-

# # Image and Images
# 
# This notebook illustrates images functionalies.

# In[1]:


from jyquickhelper import add_notebook_menu
add_notebook_menu()


# ## One local image

# In[2]:


from pyquickhelper.helpgen import NbImage
NbImage("nbimage.png")


# ## One remote image

# In[3]:


from IPython.display import Image
Image('https://github.com/sdpython/pyquickhelper/raw/master/_doc/sphinxdoc/source/_static/project_ico.png')


# In[4]:


NbImage('https://github.com/sdpython/pyquickhelper/raw/master/_doc/sphinxdoc/source/_static/project_ico.png')


# ## Multiple local images

# In[5]:


NbImage("nbimage.png", "nbimage.png", width=400)


# ## Multiple remote images

# In[6]:


NbImage("nbimage.png",
        'https://github.com/sdpython/pyquickhelper/raw/master/_doc/sphinxdoc/source/_static/project_ico.png',
       width=400)


# In[7]: